Bug 1368502 - Xorg: How to configure?
Summary: Xorg: How to configure?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-19 15:11 UTC by schaefi
Modified: 2016-09-17 22:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-01 13:35:48 UTC
Type: Bug


Attachments (Terms of Use)

Description schaefi 2016-08-19 15:11:00 UTC
I try to generate an Xorg config following the official Fedora documentation:
https://fedoraproject.org/wiki/How_to_create_xorg.conf

Trying to generate the config:
# Xorg :1 -configure

Gives the error:
_XSERVTransSocketUNIXCreateListener: ...SocketCreateListener() failed
_XSERVTransMakeAllCOTSServerListeners: server already running
(EE) 
Fatal server error:
(EE) Cannot establish any listening sockets - Make sure an X server isn't already running(EE) 
(EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
(EE) Please also check the log file at "/var/log/Xorg.1.log" for additional information.
(EE) 
(EE) Server terminated with error (1). Closing log file.

Either the documentation is wrong, or my input is wrong or there are errors.
Any help is appreciated!

Comment 1 Hans de Goede 2016-08-25 14:13:19 UTC
Hi,

So there are 2 issues here:

1) the ":1" part of "Xorg :1 -configure" was a bit of a poor choice in retrospect. We already have a X server running on :1 now a days, this is the error you're seeing.
2) X -configure is known to be broken with xserver 1.18.x . I've fixed this upstream about a week ago, I've prepared updated F24 pkgs with the fix backported. You should get a comment in thus bugzilla from the updated soon indicating that they are available.

Once the update is available, please try: "Xorg :9 -configure" that should work (with the updated pkgs).

Regards,

Hans

Comment 2 Fedora Update System 2016-08-25 14:33:21 UTC
xorg-x11-server-1.18.4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f695073a52

Comment 3 Fedora Update System 2016-08-25 14:34:05 UTC
xorg-x11-server-1.18.4-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-33b409649c

Comment 4 Hans de Goede 2016-08-25 16:44:05 UTC
Note I botched the update, I'm working on a new one, please do not use the first one.

Comment 5 Fedora Update System 2016-08-25 18:01:54 UTC
xorg-x11-server-1.18.4-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f695073a52

Comment 6 Fedora Update System 2016-08-25 18:03:09 UTC
xorg-x11-server-1.18.4-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-33b409649c

Comment 7 Hans de Goede 2016-08-25 18:05:14 UTC
OK, this new update should be good, please test.

Comment 8 schaefi 2016-08-26 06:17:48 UTC
(In reply to Hans de Goede from comment #7)
> OK, this new update should be good, please test.

Hi Hans,

thanks for providing the update. 

How can I download and test the update?
Do I have to configure a special repository?

(at the moment I have only xorg-x11-server-1.18.4-1.fc24 available in my list)
(in your link, I did not find any link to the package)

Comment 9 schaefi 2016-08-26 06:58:58 UTC
(In reply to Hans de Goede from comment #7)
> OK, this new update should be good, please test.

Hi Hans,

after reading:
https://fedoraproject.org/wiki/How_to_test_updates

I tried:
dnf --enablerepo=updates-testing update xorg-x11-server-1.18.4-4.fc24

but I get:
Last metadata expiration check: 0:13:47 ago on Fri Aug 26 08:42:01 2016.
No match for argument: xorg-x11-server-1.18.4-4.fc24
Error: No packages marked for upgrade.

Sorry! Please can you help. Thanks

Comment 10 Hans de Goede 2016-08-26 07:50:39 UTC
Hi,

The update has not been pushed to updates-testing yet (this is done aprox. once a day as it requires a human in the loop). The updates system will add a comment here when that happens and then the:

dnf --enablerepo=updates-testing update

Command should work. Also notice that there is no xorg-x11-server-1.18.4-4.fc24 pkg, the xserver uses several subpackages so you want to do:

dnf --enablerepo=updates-testing update 'xorg-x11-server*'

Regards,

Hans

Comment 11 Fedora Update System 2016-08-26 16:52:50 UTC
xorg-x11-server-1.18.4-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-33b409649c

Comment 12 Fedora Update System 2016-08-27 08:42:36 UTC
xorg-x11-server-1.18.4-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-33b409649c

Comment 13 Fedora Update System 2016-08-27 12:54:06 UTC
xorg-x11-server-1.18.4-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f695073a52

Comment 14 Fedora Update System 2016-08-27 21:50:35 UTC
xorg-x11-server-1.18.4-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-33b409649c

Comment 15 schaefi 2016-08-29 06:03:55 UTC
> ...
> the xserver uses several subpackages so you want to do:
> 
> dnf --enablerepo=updates-testing update 'xorg-x11-server*'
> 
> Regards,
> 
> Hans

Hi Hans,

thanks for the advice. 

Unfortunately I have no specific testing system and do not like to make a shot in the blue on my system of daily usage.

So please specify exactly which packages I have to update for the testing and how to downgrade them again in case of failure. Thanks.

Comment 16 Hans de Goede 2016-08-29 09:49:08 UTC
Hi,

You cannot only upgrade select packages of the xserver, they depend on each other.

You can downgrade after testing with:

dnf downgrade 'xorg-x11-server*'

But that really is not necessary, the update has been in updates-testing for a while now and has gotten nothing but positive (e.g. "works for me") comments, I will likely push it to the stable updates repository soon.

Regards,

Hans

Comment 17 Fedora Update System 2016-09-01 13:35:45 UTC
xorg-x11-server-1.18.4-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-09-01 16:54:01 UTC
xorg-x11-server-1.18.4-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Mario Curcija 2016-09-17 22:31:29 UTC
I have a regression regarding Bug 1354630 which was resolved with update to xorg-x11-server-Xorg-1.18.4-1.fc24.x86_64.rpm but became reproducible after update to xorg-x11-server-Xorg-1.18.4-4.fc24.x86_64.rpm. 

I was able to downgrade back to: 
org-x11-server-common-1.18.4-1.fc24.x86_64.rpm
xorg-x11-server-Xorg-1.18.4-1.fc24.x86_64.rpm  
using koji builds: http://koji.fedoraproject.org/koji/buildinfo?buildID=783967
and now I can confirm that KDE-multiple sessions creating/switching function correctly with 1.18.4.1 build and fails on 1.18.4.4.

I also commented it on bodhi:  
https://bodhi.fedoraproject.org/updates/xorg-x11-server-1.18.4-4.fc24#comment-489415

Note that I also have another "Intel only" based system which works without problems.


Note You need to log in before you can comment on or make changes to this bug.